Package org.eclipse.lemminx.extensions.colors.settings

## Class XMLColors

- java.lang.Object
- - org.eclipse.lemminx.settings.PathPatternMatcher
  - - org.eclipse.lemminx.extensions.colors.settings.XMLColors

    public class XMLColors
    extends PathPatternMatcher

XML colors which stores list of `XMLColorExpression` applied for a give pattern.

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`XMLColors()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<XMLColorExpression>` `getExpressions()` Returns list of XML color expressions.
`void` `setExpressions​(List<XMLColorExpression> expressions)` Set list of XML color expressions.

### Methods inherited from class org.eclipse.lemminx.settings.PathPatternMatcher

`equals, getPathMatcher, getPattern, matches, matches, setPathMatcher, setPattern`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLColors

    public XMLColors()

### Method Detail

#### getExpressions

    public List<XMLColorExpression> getExpressions()

Returns list of XML color expressions.

Returns:
  list of XML color expressions.

#### setExpressions

    public void setExpressions​(List<XMLColorExpression> expressions)

Set list of XML color expressions.

Parameters:
  `expressions` - list of XML color expressions.